<?php

/**
 * Load required files
 */
require __DIR__ . "/../vendor/autoload.php";

use Phpfastcache\CacheManager;
use Phpfastcache\Core\phpFastCache;
use Jaybizzle\CrawlerDetect\CrawlerDetect;

$settings = require __DIR__ . "/../app/settings.php";

if ( ! $settings || ! isset( $settings['cache']['driver'] ) || ! isset( $settings['cache']['options'] ) || ! isset ( $settings['cache']['configClass'] ) )
	die();

if ( ! isset( $_GET['postId'] ) || intval( $_GET['postId'] ) <= 0 )
	die();

if ( (new CrawlerDetect)->isCrawler() ) 
    die();

$cacheInstance = CacheManager::getInstance( 
					$settings['cache']['driver'], 
					new $settings['cache']['configClass']( $settings['cache']['options'] )
				);

$key = "post-" . intval( $_GET['postId'] );

$cache = $cacheInstance->getItem( $key );

if ( is_null( $cache->get() ) ) 
    $cache->set(1)->expiresAfter(3600)->addTag( 'pageviews_counter' );       
 
else 
    $cache->increment();

$cacheInstance->save( $cache );
echo intval( $cache->get() );

die();